## i-cal-derived-parameter

i-cal-derived-parameter

## Functions

ICalParameter * | i_cal_parameter_new_actionparam ()
ICalParameterAction | i_cal_parameter_get_actionparam ()
void | i_cal_parameter_set_actionparam ()
ICalParameter * | i_cal_parameter_new_altrep ()
const gchar * | i_cal_parameter_get_altrep ()
void | i_cal_parameter_set_altrep ()
ICalParameter * | i_cal_parameter_new_charset ()
const gchar * | i_cal_parameter_get_charset ()
void | i_cal_parameter_set_charset ()
ICalParameter * | i_cal_parameter_new_cn ()
const gchar * | i_cal_parameter_get_cn ()
void | i_cal_parameter_set_cn ()
ICalParameter * | i_cal_parameter_new_cutype ()
ICalParameterCutype | i_cal_parameter_get_cutype ()
void | i_cal_parameter_set_cutype ()
ICalParameter * | i_cal_parameter_new_delegatedfrom ()
const gchar * | i_cal_parameter_get_delegatedfrom ()
void | i_cal_parameter_set_delegatedfrom ()
ICalParameter * | i_cal_parameter_new_delegatedto ()
const gchar * | i_cal_parameter_get_delegatedto ()
void | i_cal_parameter_set_delegatedto ()
ICalParameter * | i_cal_parameter_new_dir ()
const gchar * | i_cal_parameter_get_dir ()
void | i_cal_parameter_set_dir ()
ICalParameter * | i_cal_parameter_new_display ()
ICalParameterDisplay | i_cal_parameter_get_display ()
void | i_cal_parameter_set_display ()
ICalParameter * | i_cal_parameter_new_email ()
const gchar * | i_cal_parameter_get_email ()
void | i_cal_parameter_set_email ()
ICalParameter * | i_cal_parameter_new_enable ()
ICalParameterEnable | i_cal_parameter_get_enable ()
void | i_cal_parameter_set_enable ()
ICalParameter * | i_cal_parameter_new_encoding ()
ICalParameterEncoding | i_cal_parameter_get_encoding ()
void | i_cal_parameter_set_encoding ()
ICalParameter * | i_cal_parameter_new_fbtype ()
ICalParameterFbtype | i_cal_parameter_get_fbtype ()
void | i_cal_parameter_set_fbtype ()
ICalParameter * | i_cal_parameter_new_feature ()
ICalParameterFeature | i_cal_parameter_get_feature ()
void | i_cal_parameter_set_feature ()
ICalParameter * | i_cal_parameter_new_filename ()
const gchar * | i_cal_parameter_get_filename ()
void | i_cal_parameter_set_filename ()
ICalParameter * | i_cal_parameter_new_fmttype ()
const gchar * | i_cal_parameter_get_fmttype ()
void | i_cal_parameter_set_fmttype ()
ICalParameter * | i_cal_parameter_new_iana ()
const gchar * | i_cal_parameter_get_iana ()
void | i_cal_parameter_set_iana ()
ICalParameter * | i_cal_parameter_new_id ()
const gchar * | i_cal_parameter_get_id ()
void | i_cal_parameter_set_id ()
ICalParameter * | i_cal_parameter_new_label ()
const gchar * | i_cal_parameter_get_label ()
void | i_cal_parameter_set_label ()
ICalParameter * | i_cal_parameter_new_language ()
const gchar * | i_cal_parameter_get_language ()
void | i_cal_parameter_set_language ()
ICalParameter * | i_cal_parameter_new_latency ()
const gchar * | i_cal_parameter_get_latency ()
void | i_cal_parameter_set_latency ()
ICalParameter * | i_cal_parameter_new_local ()
ICalParameterLocal | i_cal_parameter_get_local ()
void | i_cal_parameter_set_local ()
ICalParameter * | i_cal_parameter_new_localize ()
const gchar * | i_cal_parameter_get_localize ()
void | i_cal_parameter_set_localize ()
ICalParameter * | i_cal_parameter_new_managedid ()
const gchar * | i_cal_parameter_get_managedid ()
void | i_cal_parameter_set_managedid ()
ICalParameter * | i_cal_parameter_new_member ()
const gchar * | i_cal_parameter_get_member ()
void | i_cal_parameter_set_member ()
ICalParameter * | i_cal_parameter_new_modified ()
const gchar * | i_cal_parameter_get_modified ()
void | i_cal_parameter_set_modified ()
ICalParameter * | i_cal_parameter_new_options ()
const gchar * | i_cal_parameter_get_options ()
void | i_cal_parameter_set_options ()
ICalParameter * | i_cal_parameter_new_partstat ()
ICalParameterPartstat | i_cal_parameter_get_partstat ()
void | i_cal_parameter_set_partstat ()
ICalParameter * | i_cal_parameter_new_patchaction ()
ICalParameterPatchaction | i_cal_parameter_get_patchaction ()
void | i_cal_parameter_set_patchaction ()
ICalParameter * | i_cal_parameter_new_publiccomment ()
const gchar * | i_cal_parameter_get_publiccomment ()
void | i_cal_parameter_set_publiccomment ()
ICalParameter * | i_cal_parameter_new_range ()
ICalParameterRange | i_cal_parameter_get_range ()
void | i_cal_parameter_set_range ()
ICalParameter * | i_cal_parameter_new_reason ()
const gchar * | i_cal_parameter_get_reason ()
void | i_cal_parameter_set_reason ()
ICalParameter * | i_cal_parameter_new_related ()
ICalParameterRelated | i_cal_parameter_get_related ()
void | i_cal_parameter_set_related ()
ICalParameter * | i_cal_parameter_new_reltype ()
ICalParameterReltype | i_cal_parameter_get_reltype ()
void | i_cal_parameter_set_reltype ()
ICalParameter * | i_cal_parameter_new_required ()
ICalParameterRequired | i_cal_parameter_get_required ()
void | i_cal_parameter_set_required ()
ICalParameter * | i_cal_parameter_new_response ()
gint | i_cal_parameter_get_response ()
void | i_cal_parameter_set_response ()
ICalParameter * | i_cal_parameter_new_role ()
ICalParameterRole | i_cal_parameter_get_role ()
void | i_cal_parameter_set_role ()
ICalParameter * | i_cal_parameter_new_rsvp ()
ICalParameterRsvp | i_cal_parameter_get_rsvp ()
void | i_cal_parameter_set_rsvp ()
ICalParameter * | i_cal_parameter_new_scheduleagent ()
ICalParameterScheduleagent | i_cal_parameter_get_scheduleagent ()
void | i_cal_parameter_set_scheduleagent ()
ICalParameter * | i_cal_parameter_new_scheduleforcesend ()
ICalParameterScheduleforcesend | i_cal_parameter_get_scheduleforcesend ()
void | i_cal_parameter_set_scheduleforcesend ()
ICalParameter * | i_cal_parameter_new_schedulestatus ()
const gchar * | i_cal_parameter_get_schedulestatus ()
void | i_cal_parameter_set_schedulestatus ()
ICalParameter * | i_cal_parameter_new_sentby ()
const gchar * | i_cal_parameter_get_sentby ()
void | i_cal_parameter_set_sentby ()
ICalParameter * | i_cal_parameter_new_size ()
const gchar * | i_cal_parameter_get_size ()
void | i_cal_parameter_set_size ()
ICalParameter * | i_cal_parameter_new_stayinformed ()
ICalParameterStayinformed | i_cal_parameter_get_stayinformed ()
void | i_cal_parameter_set_stayinformed ()
ICalParameter * | i_cal_parameter_new_substate ()
ICalParameterSubstate | i_cal_parameter_get_substate ()
void | i_cal_parameter_set_substate ()
ICalParameter * | i_cal_parameter_new_tzid ()
const gchar * | i_cal_parameter_get_tzid ()
void | i_cal_parameter_set_tzid ()
ICalParameter * | i_cal_parameter_new_value ()
ICalParameterValue | i_cal_parameter_get_value ()
void | i_cal_parameter_set_value ()
ICalParameter * | i_cal_parameter_new_x ()
const gchar * | i_cal_parameter_get_x ()
void | i_cal_parameter_set_x ()
ICalParameter * | i_cal_parameter_new_xliccomparetype ()
ICalParameterXliccomparetype | i_cal_parameter_get_xliccomparetype ()
void | i_cal_parameter_set_xliccomparetype ()
ICalParameter * | i_cal_parameter_new_xlicerrortype ()
ICalParameterXlicerrortype | i_cal_parameter_get_xlicerrortype ()
void | i_cal_parameter_set_xlicerrortype ()

## Types and Values

enum | ICalParameterKind
enum | ICalParameterAction
enum | ICalParameterCutype
enum | ICalParameterDisplay
enum | ICalParameterEnable
enum | ICalParameterEncoding
enum | ICalParameterFbtype
enum | ICalParameterFeature
enum | ICalParameterLocal
enum | ICalParameterPartstat
enum | ICalParameterPatchaction
enum | ICalParameterRange
enum | ICalParameterRelated
enum | ICalParameterReltype
enum | ICalParameterRequired
enum | ICalParameterRole
enum | ICalParameterRsvp
enum | ICalParameterScheduleagent
enum | ICalParameterScheduleforcesend
enum | ICalParameterStayinformed
enum | ICalParameterSubstate
enum | ICalParameterValue
enum | ICalParameterXliccomparetype
enum | ICalParameterXlicerrortype

## Description

## Functions

### i_cal_parameter_new_actionparam ()

    ICalParameter *
    i_cal_parameter_new_actionparam (ICalParameterAction v);

Creates a new ICalParameter according to the action type.

#### Parameters

v | The type of ICalParameter to be created |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_actionparam ()

    ICalParameterAction
    i_cal_parameter_get_actionparam (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The type of the `value`

Since: 1.0

### i_cal_parameter_set_actionparam ()

    void
    i_cal_parameter_set_actionparam (ICalParameter *value,
                                     ICalParameterAction v);

#### Parameters

value | The ICalParameter to be set |
v | The type of ICalParameter to be set in the `value` |

Since: 1.0

### i_cal_parameter_new_altrep ()

    ICalParameter *
    i_cal_parameter_new_altrep (const gchar *v);

#### Parameters

v | The string used to create the new ICalParameter |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_altrep ()

    const gchar *
    i_cal_parameter_get_altrep (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The property of the `value` .

[nullable]

Since: 1.0

### i_cal_parameter_set_altrep ()

    void
    i_cal_parameter_set_altrep (ICalParameter *value,
                                const gchar *v);

#### Parameters

value | The ICalParameter to be set |
v | The string used to set into the `value` |

Since: 1.0

### i_cal_parameter_new_charset ()

    ICalParameter *
    i_cal_parameter_new_charset (const gchar *v);

#### Parameters

v | The string used to create the new ICalParameter |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_charset ()

    const gchar *
    i_cal_parameter_get_charset (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The property of the `value` .

[nullable]

Since: 1.0

### i_cal_parameter_set_charset ()

    void
    i_cal_parameter_set_charset (ICalParameter *value,
                                 const gchar *v);

#### Parameters

value | The ICalParameter to be set |
v | The string used to set into the `value` |

Since: 1.0

### i_cal_parameter_new_cn ()

    ICalParameter *
    i_cal_parameter_new_cn (const gchar *v);

#### Parameters

v | The string used to create the new ICalParameter |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_cn ()

    const gchar *
    i_cal_parameter_get_cn (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The property of the `value` .

[nullable]

Since: 1.0

### i_cal_parameter_set_cn ()

    void
    i_cal_parameter_set_cn (ICalParameter *value,
                            const gchar *v);

#### Parameters

value | The ICalParameter to be set |
v | The string used to set into the `value` |

Since: 1.0

### i_cal_parameter_new_cutype ()

    ICalParameter *
    i_cal_parameter_new_cutype (ICalParameterCutype v);

#### Parameters

v | The type of ICalParameter to be created |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_cutype ()

    ICalParameterCutype
    i_cal_parameter_get_cutype (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The property of the `value` .

[nullable]

Since: 1.0

### i_cal_parameter_set_cutype ()

    void
    i_cal_parameter_set_cutype (ICalParameter *value,
                                ICalParameterCutype v);

#### Parameters

value | The ICalParameter to be set |
v | The `ICalParameterCutype` used to set `value` |

Since: 1.0

### i_cal_parameter_new_delegatedfrom ()

    ICalParameter *
    i_cal_parameter_new_delegatedfrom (const gchar *v);

#### Parameters

v | The string used to create the new ICalParameter |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_delegatedfrom ()

    const gchar *
    i_cal_parameter_get_delegatedfrom (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The property of the `value` .

[nullable]

Since: 1.0

### i_cal_parameter_set_delegatedfrom ()

    void
    i_cal_parameter_set_delegatedfrom (ICalParameter *value,
                                       const gchar *v);

#### Parameters

value | The ICalParameter to be set |
v | The string used to set into the `value` |

Since: 1.0

### i_cal_parameter_new_delegatedto ()

    ICalParameter *
    i_cal_parameter_new_delegatedto (const gchar *v);

#### Parameters

v | The string used to create the new ICalParameter |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_delegatedto ()

    const gchar *
    i_cal_parameter_get_delegatedto (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The property of the `value` .

[nullable]

Since: 1.0

### i_cal_parameter_set_delegatedto ()

    void
    i_cal_parameter_set_delegatedto (ICalParameter *value,
                                     const gchar *v);

#### Parameters

value | The ICalParameter to be set |
v | The string used to set into the `value` |

Since: 1.0

### i_cal_parameter_new_dir ()

    ICalParameter *
    i_cal_parameter_new_dir (const gchar *v);

#### Parameters

v | The string used to create the new ICalParameter |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_dir ()

    const gchar *
    i_cal_parameter_get_dir (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The property of the `value` .

[nullable]

Since: 1.0

### i_cal_parameter_set_dir ()

    void
    i_cal_parameter_set_dir (ICalParameter *value,
                             const gchar *v);

#### Parameters

value | The ICalParameter to be set |
v | The string used to set into the `value` |

Since: 1.0

### i_cal_parameter_new_display ()

    ICalParameter *
    i_cal_parameter_new_display (ICalParameterDisplay value);

#### Parameters

value | The ICalParameterDisplay value of the new ICalParameter |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 3.0.15

### i_cal_parameter_get_display ()

    ICalParameterDisplay
    i_cal_parameter_get_display (const ICalParameter *param);

#### Parameters

param | The ICalParameter to be queried |

#### Returns

The ICalParameterDisplay value of the `param`

Since: 3.0.15

### i_cal_parameter_set_display ()

    void
    i_cal_parameter_set_display (ICalParameter *param,
                                 ICalParameterDisplay value);

#### Parameters

param | The ICalParameter to be set |
value | The ICalParameterDisplay to set into the `param` |

Since: 3.0.15

### i_cal_parameter_new_email ()

    ICalParameter *
    i_cal_parameter_new_email (const gchar *value);

#### Parameters

value | The string value of the new ICalParameter |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 3.0.15

### i_cal_parameter_get_email ()

    const gchar *
    i_cal_parameter_get_email (const ICalParameter *param);

#### Parameters

param | The ICalParameter to be queried |

#### Returns

The string value of the `param` .

[nullable]

Since: 3.0.15

### i_cal_parameter_set_email ()

    void
    i_cal_parameter_set_email (ICalParameter *param,
                               const gchar *value);

#### Parameters

param | The ICalParameter to be set |
value | The string value to set into the `param` |

Since: 3.0.15

### i_cal_parameter_new_enable ()

    ICalParameter *
    i_cal_parameter_new_enable (ICalParameterEnable v);

Creates a new ICalParameter according to the enable type.

#### Parameters

v | The type of ICalParameter to be created |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_enable ()

    ICalParameterEnable
    i_cal_parameter_get_enable (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The type of the `value`

Since: 1.0

### i_cal_parameter_set_enable ()

    void
    i_cal_parameter_set_enable (ICalParameter *value,
                                ICalParameterEnable v);

#### Parameters

value | The ICalParameter to be set |
v | The type of ICalParameter to be set in the `value` |

Since: 1.0

### i_cal_parameter_new_encoding ()

    ICalParameter *
    i_cal_parameter_new_encoding (ICalParameterEncoding v);

Creates a new ICalParameter according to the encoding type.

#### Parameters

v | The type of ICalParameter to be created |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_encoding ()

    ICalParameterEncoding
    i_cal_parameter_get_encoding (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The type of the `value`

Since: 1.0

### i_cal_parameter_set_encoding ()

    void
    i_cal_parameter_set_encoding (ICalParameter *value,
                                  ICalParameterEncoding v);

#### Parameters

value | The ICalParameter to be set |
v | The type of ICalParameter to be set in the `value` |

Since: 1.0

### i_cal_parameter_new_fbtype ()

    ICalParameter *
    i_cal_parameter_new_fbtype (ICalParameterFbtype v);

Creates a new ICalParameter according to the fbtype type.

#### Parameters

v | The type of ICalParameter to be created |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_fbtype ()

    ICalParameterFbtype
    i_cal_parameter_get_fbtype (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The type of the `value`

Since: 1.0

### i_cal_parameter_set_fbtype ()

    void
    i_cal_parameter_set_fbtype (ICalParameter *value,
                                ICalParameterFbtype v);

#### Parameters

value | The ICalParameter to be set |
v | The type of ICalParameter to be set in the `value` |

Since: 1.0

### i_cal_parameter_new_feature ()

    ICalParameter *
    i_cal_parameter_new_feature (ICalParameterFeature value);

#### Parameters

value | The ICalParameterFeature value of the new ICalParameter |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 3.0.15

### i_cal_parameter_get_feature ()

    ICalParameterFeature
    i_cal_parameter_get_feature (const ICalParameter *param);

#### Parameters

param | The ICalParameter to be queried |

#### Returns

The ICalParameterFeature value of the `param`

Since: 3.0.15

### i_cal_parameter_set_feature ()

    void
    i_cal_parameter_set_feature (ICalParameter *param,
                                 ICalParameterFeature value);

#### Parameters

param | The ICalParameter to be set |
value | The ICalParameterFeature to set into the `param` |

Since: 3.0.15

### i_cal_parameter_new_filename ()

    ICalParameter *
    i_cal_parameter_new_filename (const gchar *v);

#### Parameters

v | The string used to create the new ICalParameter |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 2.0

### i_cal_parameter_get_filename ()

    const gchar *
    i_cal_parameter_get_filename (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The property of the `value` .

[nullable]

Since: 2.0

### i_cal_parameter_set_filename ()

    void
    i_cal_parameter_set_filename (ICalParameter *value,
                                  const gchar *v);

#### Parameters

value | The ICalParameter to be set |
v | The string used to set into the `value` |

Since: 2.0

### i_cal_parameter_new_fmttype ()

    ICalParameter *
    i_cal_parameter_new_fmttype (const gchar *v);

#### Parameters

v | The string used to create the new ICalParameter |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_fmttype ()

    const gchar *
    i_cal_parameter_get_fmttype (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The property of the `value` .

[nullable]

Since: 1.0

### i_cal_parameter_set_fmttype ()

    void
    i_cal_parameter_set_fmttype (ICalParameter *value,
                                 const gchar *v);

#### Parameters

value | The ICalParameter to be set |
v | The string used to set into the `value` |

Since: 1.0

### i_cal_parameter_new_iana ()

    ICalParameter *
    i_cal_parameter_new_iana (const gchar *v);

#### Parameters

v | The string used to create the new ICalParameter |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_iana ()

    const gchar *
    i_cal_parameter_get_iana (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The property of the `value` .

[nullable]

Since: 1.0

### i_cal_parameter_set_iana ()

    void
    i_cal_parameter_set_iana (ICalParameter *value,
                              const gchar *v);

#### Parameters

value | The ICalParameter to be set |
v | The string used to set into the `value` |

Since: 1.0

### i_cal_parameter_new_id ()

    ICalParameter *
    i_cal_parameter_new_id (const gchar *v);

#### Parameters

v | The string used to create the new ICalParameter |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_id ()

    const gchar *
    i_cal_parameter_get_id (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The property of the `value` .

[nullable]

Since: 1.0

### i_cal_parameter_set_id ()

    void
    i_cal_parameter_set_id (ICalParameter *value,
                            const gchar *v);

#### Parameters

value | The ICalParameter to be set |
v | The string used to set into the `value` |

Since: 1.0

### i_cal_parameter_new_label ()

    ICalParameter *
    i_cal_parameter_new_label (const gchar *value);

#### Parameters

value | The string value of the new ICalParameter |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 3.0.15

### i_cal_parameter_get_label ()

    const gchar *
    i_cal_parameter_get_label (const ICalParameter *param);

#### Parameters

param | The ICalParameter to be queried |

#### Returns

The string value of the `param` .

[nullable]

Since: 3.0.15

### i_cal_parameter_set_label ()

    void
    i_cal_parameter_set_label (ICalParameter *param,
                               const gchar *value);

#### Parameters

param | The ICalParameter to be set |
value | The string value to set into the `param` |

Since: 3.0.15

### i_cal_parameter_new_language ()

    ICalParameter *
    i_cal_parameter_new_language (const gchar *v);

#### Parameters

v | The string used to create the new ICalParameter |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_language ()

    const gchar *
    i_cal_parameter_get_language (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The property of the `value` .

[nullable]

Since: 1.0

### i_cal_parameter_set_language ()

    void
    i_cal_parameter_set_language (ICalParameter *value,
                                  const gchar *v);

#### Parameters

value | The ICalParameter to be set |
v | The string used to set into the `value` |

Since: 1.0

### i_cal_parameter_new_latency ()

    ICalParameter *
    i_cal_parameter_new_latency (const gchar *v);

#### Parameters

v | The string used to create the new ICalParameter |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_latency ()

    const gchar *
    i_cal_parameter_get_latency (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The property of the `value` .

[nullable]

Since: 1.0

### i_cal_parameter_set_latency ()

    void
    i_cal_parameter_set_latency (ICalParameter *value,
                                 const gchar *v);

#### Parameters

value | The ICalParameter to be set |
v | The string used to set into the `value` |

Since: 1.0

### i_cal_parameter_new_local ()

    ICalParameter *
    i_cal_parameter_new_local (ICalParameterLocal v);

Creates a new ICalParameter according to the local type.

#### Parameters

v | The type of ICalParameter to be created |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_local ()

    ICalParameterLocal
    i_cal_parameter_get_local (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The type of the `value`

Since: 1.0

### i_cal_parameter_set_local ()

    void
    i_cal_parameter_set_local (ICalParameter *value,
                               ICalParameterLocal v);

#### Parameters

value | The ICalParameter to be set |
v | The type of ICalParameter to be set in the `value` |

Since: 1.0

### i_cal_parameter_new_localize ()

    ICalParameter *
    i_cal_parameter_new_localize (const gchar *v);

#### Parameters

v | The string used to create the new ICalParameter |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_localize ()

    const gchar *
    i_cal_parameter_get_localize (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The property of the `value` .

[nullable]

Since: 1.0

### i_cal_parameter_set_localize ()

    void
    i_cal_parameter_set_localize (ICalParameter *value,
                                  const gchar *v);

#### Parameters

value | The ICalParameter to be set |
v | The string used to set into the `value` |

Since: 1.0

### i_cal_parameter_new_managedid ()

    ICalParameter *
    i_cal_parameter_new_managedid (const gchar *v);

#### Parameters

v | The string used to create the new ICalParameter |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 2.0

### i_cal_parameter_get_managedid ()

    const gchar *
    i_cal_parameter_get_managedid (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The property of the `value` .

[nullable]

Since: 2.0

### i_cal_parameter_set_managedid ()

    void
    i_cal_parameter_set_managedid (ICalParameter *value,
                                   const gchar *v);

#### Parameters

value | The ICalParameter to be set |
v | The string used to set into the `value` |

Since: 2.0

### i_cal_parameter_new_member ()

    ICalParameter *
    i_cal_parameter_new_member (const gchar *v);

#### Parameters

v | The string used to create the new ICalParameter |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_member ()

    const gchar *
    i_cal_parameter_get_member (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The property of the `value` .

[nullable]

Since: 1.0

### i_cal_parameter_set_member ()

    void
    i_cal_parameter_set_member (ICalParameter *value,
                                const gchar *v);

#### Parameters

value | The ICalParameter to be set |
v | The string used to set into the `value` |

Since: 1.0

### i_cal_parameter_new_modified ()

    ICalParameter *
    i_cal_parameter_new_modified (const gchar *v);

#### Parameters

v | The string used to create the new ICalParameter |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 2.0

### i_cal_parameter_get_modified ()

    const gchar *
    i_cal_parameter_get_modified (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The property of the `value` .

[nullable]

Since: 2.0

### i_cal_parameter_set_modified ()

    void
    i_cal_parameter_set_modified (ICalParameter *value,
                                  const gchar *v);

#### Parameters

value | The ICalParameter to be set |
v | The string used to set into the `value` |

Since: 2.0

### i_cal_parameter_new_options ()

    ICalParameter *
    i_cal_parameter_new_options (const gchar *v);

#### Parameters

v | The string used to create the new ICalParameter |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_options ()

    const gchar *
    i_cal_parameter_get_options (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The property of the `value` .

[nullable]

Since: 1.0

### i_cal_parameter_set_options ()

    void
    i_cal_parameter_set_options (ICalParameter *value,
                                 const gchar *v);

#### Parameters

value | The ICalParameter to be set |
v | The string used to set into the `value` |

Since: 1.0

### i_cal_parameter_new_partstat ()

    ICalParameter *
    i_cal_parameter_new_partstat (ICalParameterPartstat v);

Creates a new ICalParameter according to the partstat type.

#### Parameters

v | The type of ICalParameter to be created |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_partstat ()

    ICalParameterPartstat
    i_cal_parameter_get_partstat (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The type of the `value`

Since: 1.0

### i_cal_parameter_set_partstat ()

    void
    i_cal_parameter_set_partstat (ICalParameter *value,
                                  ICalParameterPartstat v);

#### Parameters

value | The ICalParameter to be set |
v | The type of ICalParameter to be set in the `value` |

Since: 1.0

### i_cal_parameter_new_patchaction ()

    ICalParameter *
    i_cal_parameter_new_patchaction (ICalParameterPatchaction value);

#### Parameters

value | The ICalParameterPatchaction value of the new ICalParameter |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 3.0.15

### i_cal_parameter_get_patchaction ()

    ICalParameterPatchaction
    i_cal_parameter_get_patchaction (const ICalParameter *param);

#### Parameters

param | The ICalParameter to be queried |

#### Returns

The ICalParameterPatchaction value of the `param`

Since: 3.0.15

### i_cal_parameter_set_patchaction ()

    void
    i_cal_parameter_set_patchaction (ICalParameter *param,
                                     ICalParameterPatchaction value);

#### Parameters

param | The ICalParameter to be set |
value | The ICalParameterPatchaction to set into the `param` |

Since: 3.0.15

### i_cal_parameter_new_publiccomment ()

    ICalParameter *
    i_cal_parameter_new_publiccomment (const gchar *v);

#### Parameters

v | The string used to create the new ICalParameter |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 2.0

### i_cal_parameter_get_publiccomment ()

    const gchar *
    i_cal_parameter_get_publiccomment (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The property of the `value` .

[nullable]

Since: 2.0

### i_cal_parameter_set_publiccomment ()

    void
    i_cal_parameter_set_publiccomment (ICalParameter *value,
                                       const gchar *v);

#### Parameters

value | The ICalParameter to be set |
v | The string used to set into the `value` |

Since: 2.0

### i_cal_parameter_new_range ()

    ICalParameter *
    i_cal_parameter_new_range (ICalParameterRange v);

Creates a new ICalParameter according to the range type.

#### Parameters

v | The type of ICalParameter to be created |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_range ()

    ICalParameterRange
    i_cal_parameter_get_range (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The type of the `value`

Since: 1.0

### i_cal_parameter_set_range ()

    void
    i_cal_parameter_set_range (ICalParameter *value,
                               ICalParameterRange v);

#### Parameters

value | The ICalParameter to be set |
v | The type of ICalParameter to be set in the `value` |

Since: 1.0

### i_cal_parameter_new_reason ()

    ICalParameter *
    i_cal_parameter_new_reason (const gchar *v);

#### Parameters

v | The string used to create the new ICalParameter |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 2.0

### i_cal_parameter_get_reason ()

    const gchar *
    i_cal_parameter_get_reason (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The property of the `value` .

[nullable]

Since: 2.0

### i_cal_parameter_set_reason ()

    void
    i_cal_parameter_set_reason (ICalParameter *value,
                                const gchar *v);

#### Parameters

value | The ICalParameter to be set |
v | The string used to set into the `value` |

Since: 2.0

### i_cal_parameter_new_related ()

    ICalParameter *
    i_cal_parameter_new_related (ICalParameterRelated v);

Creates a new ICalParameter according to the related type.

#### Parameters

v | The type of ICalParameter to be created |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_related ()

    ICalParameterRelated
    i_cal_parameter_get_related (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The type of the `value`

Since: 1.0

### i_cal_parameter_set_related ()

    void
    i_cal_parameter_set_related (ICalParameter *value,
                                 ICalParameterRelated v);

#### Parameters

value | The ICalParameter to be set |
v | The type of ICalParameter to be set in the `value` |

Since: 1.0

### i_cal_parameter_new_reltype ()

    ICalParameter *
    i_cal_parameter_new_reltype (ICalParameterReltype v);

Creates a new ICalParameter according to the reltype type.

#### Parameters

v | The type of ICalParameter to be created |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_reltype ()

    ICalParameterReltype
    i_cal_parameter_get_reltype (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The type of the `value`

Since: 1.0

### i_cal_parameter_set_reltype ()

    void
    i_cal_parameter_set_reltype (ICalParameter *value,
                                 ICalParameterReltype v);

#### Parameters

value | The ICalParameter to be set |
v | The type of ICalParameter to be set in the `value` |

Since: 1.0

### i_cal_parameter_new_required ()

    ICalParameter *
    i_cal_parameter_new_required (ICalParameterRequired v);

Creates a new ICalParameter according to the required type.

#### Parameters

v | The type of ICalParameter to be created |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 2.0

### i_cal_parameter_get_required ()

    ICalParameterRequired
    i_cal_parameter_get_required (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The type of the `value`

Since: 2.0

### i_cal_parameter_set_required ()

    void
    i_cal_parameter_set_required (ICalParameter *value,
                                  ICalParameterRequired v);

#### Parameters

value | The ICalParameter to be set |
v | The type of ICalParameter to be set in the `value` |

Since: 2.0

### i_cal_parameter_new_response ()

    ICalParameter *
    i_cal_parameter_new_response (gint v);

Creates a new ICalParameter according to the response type.

#### Parameters

v | The type of ICalParameter to be created |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 2.0

### i_cal_parameter_get_response ()

    gint
    i_cal_parameter_get_response (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The type of the `value`

Since: 2.0

### i_cal_parameter_set_response ()

    void
    i_cal_parameter_set_response (ICalParameter *value,
                                  gint v);

#### Parameters

value | The ICalParameter to be set |
v | The type of ICalParameter to be set in the `value` |

Since: 2.0

### i_cal_parameter_new_role ()

    ICalParameter *
    i_cal_parameter_new_role (ICalParameterRole v);

Creates a new ICalParameter according to the role type.

#### Parameters

v | The type of ICalParameter to be created |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_role ()

    ICalParameterRole
    i_cal_parameter_get_role (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The type of the `value`

Since: 1.0

### i_cal_parameter_set_role ()

    void
    i_cal_parameter_set_role (ICalParameter *value,
                              ICalParameterRole v);

#### Parameters

value | The ICalParameter to be set |
v | The type of ICalParameter to be set in the `value` |

Since: 1.0

### i_cal_parameter_new_rsvp ()

    ICalParameter *
    i_cal_parameter_new_rsvp (ICalParameterRsvp v);

Creates a new ICalParameter according to the rsvp type.

#### Parameters

v | The type of ICalParameter to be created |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_rsvp ()

    ICalParameterRsvp
    i_cal_parameter_get_rsvp (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The type of the `value`

Since: 1.0

### i_cal_parameter_set_rsvp ()

    void
    i_cal_parameter_set_rsvp (ICalParameter *value,
                              ICalParameterRsvp v);

#### Parameters

value | The ICalParameter to be set |
v | The type of ICalParameter to be set in the `value` |

Since: 1.0

### i_cal_parameter_new_scheduleagent ()

    ICalParameter *
    i_cal_parameter_new_scheduleagent (ICalParameterScheduleagent v);

Creates a new ICalParameter according to the scheduleagent type.

#### Parameters

v | The type of ICalParameter to be created |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_scheduleagent ()

    ICalParameterScheduleagent
    i_cal_parameter_get_scheduleagent (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The type of the `value`

Since: 1.0

### i_cal_parameter_set_scheduleagent ()

    void
    i_cal_parameter_set_scheduleagent (ICalParameter *value,
                                       ICalParameterScheduleagent v);

#### Parameters

value | The ICalParameter to be set |
v | The type of ICalParameter to be set in the `value` |

Since: 1.0

### i_cal_parameter_new_scheduleforcesend ()

    ICalParameter *
    i_cal_parameter_new_scheduleforcesend (ICalParameterScheduleforcesend v);

Creates a new ICalParameter according to the scheduleforcesend type.

#### Parameters

v | The type of ICalParameter to be created |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_scheduleforcesend ()

    ICalParameterScheduleforcesend
    i_cal_parameter_get_scheduleforcesend (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The type of the `value`

Since: 1.0

### i_cal_parameter_set_scheduleforcesend ()

    void
    i_cal_parameter_set_scheduleforcesend (ICalParameter *value,
                                           ICalParameterScheduleforcesend v);

#### Parameters

value | The ICalParameter to be set |
v | The type of ICalParameter to be set in the `value` |

Since: 1.0

### i_cal_parameter_new_schedulestatus ()

    ICalParameter *
    i_cal_parameter_new_schedulestatus (const gchar *v);

#### Parameters

v | The string used to create the new ICalParameter |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_schedulestatus ()

    const gchar *
    i_cal_parameter_get_schedulestatus (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The property of the `value` .

[nullable]

Since: 1.0

### i_cal_parameter_set_schedulestatus ()

    void
    i_cal_parameter_set_schedulestatus (ICalParameter *value,
                                        const gchar *v);

#### Parameters

value | The ICalParameter to be set |
v | The string used to set into the `value` |

Since: 1.0

### i_cal_parameter_new_sentby ()

    ICalParameter *
    i_cal_parameter_new_sentby (const gchar *v);

#### Parameters

v | The string used to create the new ICalParameter |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_sentby ()

    const gchar *
    i_cal_parameter_get_sentby (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The property of the `value` .

[nullable]

Since: 1.0

### i_cal_parameter_set_sentby ()

    void
    i_cal_parameter_set_sentby (ICalParameter *value,
                                const gchar *v);

#### Parameters

value | The ICalParameter to be set |
v | The string used to set into the `value` |

Since: 1.0

### i_cal_parameter_new_size ()

    ICalParameter *
    i_cal_parameter_new_size (const gchar *v);

#### Parameters

v | The string used to create the new ICalParameter |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 2.0

### i_cal_parameter_get_size ()

    const gchar *
    i_cal_parameter_get_size (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The property of the `value` .

[nullable]

Since: 2.0

### i_cal_parameter_set_size ()

    void
    i_cal_parameter_set_size (ICalParameter *value,
                              const gchar *v);

#### Parameters

value | The ICalParameter to be set |
v | The string used to set into the `value` |

Since: 2.0

### i_cal_parameter_new_stayinformed ()

    ICalParameter *
    i_cal_parameter_new_stayinformed (ICalParameterStayinformed v);

Creates a new ICalParameter according to the stayinformed type.

#### Parameters

v | The type of ICalParameter to be created |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 2.0

### i_cal_parameter_get_stayinformed ()

    ICalParameterStayinformed
    i_cal_parameter_get_stayinformed (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The type of the `value`

Since: 2.0

### i_cal_parameter_set_stayinformed ()

    void
    i_cal_parameter_set_stayinformed (ICalParameter *value,
                                      ICalParameterStayinformed v);

#### Parameters

value | The ICalParameter to be set |
v | The type of ICalParameter to be set in the `value` |

Since: 2.0

### i_cal_parameter_new_substate ()

    ICalParameter *
    i_cal_parameter_new_substate (ICalParameterSubstate v);

Creates a new ICalParameter according to the substate type.

#### Parameters

v | The type of ICalParameter to be created |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_substate ()

    ICalParameterSubstate
    i_cal_parameter_get_substate (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The type of the `value`

Since: 1.0

### i_cal_parameter_set_substate ()

    void
    i_cal_parameter_set_substate (ICalParameter *value,
                                  ICalParameterSubstate v);

#### Parameters

value | The ICalParameter to be set |
v | The type of ICalParameter to be set in the `value` |

Since: 1.0

### i_cal_parameter_new_tzid ()

    ICalParameter *
    i_cal_parameter_new_tzid (const gchar *v);

#### Parameters

v | The string used to create the new ICalParameter |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_tzid ()

    const gchar *
    i_cal_parameter_get_tzid (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The property of the `value` .

[nullable]

Since: 1.0

### i_cal_parameter_set_tzid ()

    void
    i_cal_parameter_set_tzid (ICalParameter *value,
                              const gchar *v);

#### Parameters

value | The ICalParameter to be set |
v | The string used to set into the `value` |

Since: 1.0

### i_cal_parameter_new_value ()

    ICalParameter *
    i_cal_parameter_new_value (ICalParameterValue v);

Creates a new ICalParameter according to the value type.

#### Parameters

v | The type of ICalParameter to be created |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_value ()

    ICalParameterValue
    i_cal_parameter_get_value (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The type of the `value`

Since: 1.0

### i_cal_parameter_set_value ()

    void
    i_cal_parameter_set_value (ICalParameter *value,
                               ICalParameterValue v);

#### Parameters

value | The ICalParameter to be set |
v | The type of ICalParameter to be set in the `value` |

Since: 1.0

### i_cal_parameter_new_x ()

    ICalParameter *
    i_cal_parameter_new_x (const gchar *v);

#### Parameters

v | The string used to create the new ICalParameter |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_x ()

    const gchar *
    i_cal_parameter_get_x (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The property of the `value` .

[nullable]

Since: 1.0

### i_cal_parameter_set_x ()

    void
    i_cal_parameter_set_x (ICalParameter *value,
                           const gchar *v);

#### Parameters

value | The ICalParameter to be set |
v | The string used to set into the `value` |

Since: 1.0

### i_cal_parameter_new_xliccomparetype ()

    ICalParameter *
    i_cal_parameter_new_xliccomparetype (ICalParameterXliccomparetype v);

Creates a new ICalParameter according to the xliccomparetype type.

#### Parameters

v | The type of ICalParameter to be created |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_xliccomparetype ()

    ICalParameterXliccomparetype
    i_cal_parameter_get_xliccomparetype (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The type of the `value`

Since: 1.0

### i_cal_parameter_set_xliccomparetype ()

    void
    i_cal_parameter_set_xliccomparetype (ICalParameter *value,
                                         ICalParameterXliccomparetype v);

#### Parameters

value | The ICalParameter to be set |
v | The type of ICalParameter to be set in the `value` |

Since: 1.0

### i_cal_parameter_new_xlicerrortype ()

    ICalParameter *
    i_cal_parameter_new_xlicerrortype (ICalParameterXlicerrortype v);

Creates a new ICalParameter according to the xlicerrortype type.

#### Parameters

v | The type of ICalParameter to be created |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_get_xlicerrortype ()

    ICalParameterXlicerrortype
    i_cal_parameter_get_xlicerrortype (const ICalParameter *value);

#### Parameters

value | The ICalParameter to be queried |

#### Returns

The type of the `value`

Since: 1.0

### i_cal_parameter_set_xlicerrortype ()

    void
    i_cal_parameter_set_xlicerrortype (ICalParameter *value,
                                       ICalParameterXlicerrortype v);

#### Parameters

value | The ICalParameter to be set |
v | The type of ICalParameter to be set in the `value` |

Since: 1.0

## Types and Values

### enum ICalParameterKind

#### Members

I_CAL_ANY_PARAMETER |  |
I_CAL_ACTIONPARAM_PARAMETER |  |
I_CAL_ALTREP_PARAMETER |  |
I_CAL_CHARSET_PARAMETER |  |
I_CAL_CN_PARAMETER |  |
I_CAL_CUTYPE_PARAMETER |  |
I_CAL_DELEGATEDFROM_PARAMETER |  |
I_CAL_DELEGATEDTO_PARAMETER |  |
I_CAL_DIR_PARAMETER |  |
I_CAL_DISPLAY_PARAMETER |  |
I_CAL_EMAIL_PARAMETER |  |
I_CAL_ENABLE_PARAMETER |  |
I_CAL_ENCODING_PARAMETER |  |
I_CAL_FBTYPE_PARAMETER |  |
I_CAL_FEATURE_PARAMETER |  |
I_CAL_FILENAME_PARAMETER |  |
I_CAL_FMTTYPE_PARAMETER |  |
I_CAL_IANA_PARAMETER |  |
I_CAL_ID_PARAMETER |  |
I_CAL_LABEL_PARAMETER |  |
I_CAL_LANGUAGE_PARAMETER |  |
I_CAL_LATENCY_PARAMETER |  |
I_CAL_LOCAL_PARAMETER |  |
I_CAL_LOCALIZE_PARAMETER |  |
I_CAL_MANAGEDID_PARAMETER |  |
I_CAL_MEMBER_PARAMETER |  |
I_CAL_MODIFIED_PARAMETER |  |
I_CAL_OPTIONS_PARAMETER |  |
I_CAL_PARTSTAT_PARAMETER |  |
I_CAL_PATCHACTION_PARAMETER |  |
I_CAL_PUBLICCOMMENT_PARAMETER |  |
I_CAL_RANGE_PARAMETER |  |
I_CAL_REASON_PARAMETER |  |
I_CAL_RELATED_PARAMETER |  |
I_CAL_RELTYPE_PARAMETER |  |
I_CAL_REQUIRED_PARAMETER |  |
I_CAL_RESPONSE_PARAMETER |  |
I_CAL_ROLE_PARAMETER |  |
I_CAL_RSVP_PARAMETER |  |
I_CAL_SCHEDULEAGENT_PARAMETER |  |
I_CAL_SCHEDULEFORCESEND_PARAMETER |  |
I_CAL_SCHEDULESTATUS_PARAMETER |  |
I_CAL_SENTBY_PARAMETER |  |
I_CAL_SIZE_PARAMETER |  |
I_CAL_STAYINFORMED_PARAMETER |  |
I_CAL_SUBSTATE_PARAMETER |  |
I_CAL_TZID_PARAMETER |  |
I_CAL_VALUE_PARAMETER |  |
I_CAL_X_PARAMETER |  |
I_CAL_XLICCOMPARETYPE_PARAMETER |  |
I_CAL_XLICERRORTYPE_PARAMETER |  |
I_CAL_NO_PARAMETER |  |

### enum ICalParameterAction

#### Members

I_CAL_ACTIONPARAM_X |  |
I_CAL_ACTIONPARAM_ASK |  |
I_CAL_ACTIONPARAM_ABORT |  |
I_CAL_ACTIONPARAM_NONE |  |

### enum ICalParameterCutype

#### Members

I_CAL_CUTYPE_X |  |
I_CAL_CUTYPE_INDIVIDUAL |  |
I_CAL_CUTYPE_GROUP |  |
I_CAL_CUTYPE_RESOURCE |  |
I_CAL_CUTYPE_ROOM |  |
I_CAL_CUTYPE_UNKNOWN |  |
I_CAL_CUTYPE_NONE |  |

### enum ICalParameterDisplay

#### Members

I_CAL_DISPLAY_X |  |
I_CAL_DISPLAY_BADGE |  |
I_CAL_DISPLAY_GRAPHIC |  |
I_CAL_DISPLAY_FULLSIZE |  |
I_CAL_DISPLAY_THUMBNAIL |  |
I_CAL_DISPLAY_NONE |  |

### enum ICalParameterEnable

#### Members

I_CAL_ENABLE_X |  |
I_CAL_ENABLE_TRUE |  |
I_CAL_ENABLE_FALSE |  |
I_CAL_ENABLE_NONE |  |

### enum ICalParameterEncoding

#### Members

I_CAL_ENCODING_X |  |
I_CAL_ENCODING_8BIT |  |
I_CAL_ENCODING_BASE64 |  |
I_CAL_ENCODING_NONE |  |

### enum ICalParameterFbtype

#### Members

I_CAL_FBTYPE_X |  |
I_CAL_FBTYPE_FREE |  |
I_CAL_FBTYPE_BUSY |  |
I_CAL_FBTYPE_BUSYUNAVAILABLE |  |
I_CAL_FBTYPE_BUSYTENTATIVE |  |
I_CAL_FBTYPE_NONE |  |

### enum ICalParameterFeature

#### Members

I_CAL_FEATURE_X |  |
I_CAL_FEATURE_AUDIO |  |
I_CAL_FEATURE_CHAT |  |
I_CAL_FEATURE_FEED |  |
I_CAL_FEATURE_MODERATOR |  |
I_CAL_FEATURE_PHONE |  |
I_CAL_FEATURE_SCREEN |  |
I_CAL_FEATURE_VIDEO |  |
I_CAL_FEATURE_NONE |  |

### enum ICalParameterLocal

#### Members

I_CAL_LOCAL_X |  |
I_CAL_LOCAL_TRUE |  |
I_CAL_LOCAL_FALSE |  |
I_CAL_LOCAL_NONE |  |

### enum ICalParameterPartstat

#### Members

I_CAL_PARTSTAT_X |  |
I_CAL_PARTSTAT_NEEDSACTION |  |
I_CAL_PARTSTAT_ACCEPTED |  |
I_CAL_PARTSTAT_DECLINED |  |
I_CAL_PARTSTAT_TENTATIVE |  |
I_CAL_PARTSTAT_DELEGATED |  |
I_CAL_PARTSTAT_COMPLETED |  |
I_CAL_PARTSTAT_INPROCESS |  |
I_CAL_PARTSTAT_FAILED |  |
I_CAL_PARTSTAT_NONE |  |

### enum ICalParameterPatchaction

#### Members

I_CAL_PATCHACTION_X |  |
I_CAL_PATCHACTION_CREATE |  |
I_CAL_PATCHACTION_BYNAME |  |
I_CAL_PATCHACTION_BYVALUE |  |
I_CAL_PATCHACTION_BYPARAM |  |
I_CAL_PATCHACTION_NONE |  |

### enum ICalParameterRange

#### Members

I_CAL_RANGE_X |  |
I_CAL_RANGE_THISANDPRIOR |  |
I_CAL_RANGE_THISANDFUTURE |  |
I_CAL_RANGE_NONE |  |

### enum ICalParameterRelated

#### Members

I_CAL_RELATED_X |  |
I_CAL_RELATED_START |  |
I_CAL_RELATED_END |  |
I_CAL_RELATED_NONE |  |

### enum ICalParameterReltype

#### Members

I_CAL_RELTYPE_X |  |
I_CAL_RELTYPE_PARENT |  |
I_CAL_RELTYPE_CHILD |  |
I_CAL_RELTYPE_SIBLING |  |
I_CAL_RELTYPE_POLL |  |
I_CAL_RELTYPE_NONE |  |

### enum ICalParameterRequired

#### Members

I_CAL_REQUIRED_X |  |
I_CAL_REQUIRED_TRUE |  |
I_CAL_REQUIRED_FALSE |  |
I_CAL_REQUIRED_NONE |  |

### enum ICalParameterRole

#### Members

I_CAL_ROLE_X |  |
I_CAL_ROLE_CHAIR |  |
I_CAL_ROLE_REQPARTICIPANT |  |
I_CAL_ROLE_OPTPARTICIPANT |  |
I_CAL_ROLE_NONPARTICIPANT |  |
I_CAL_ROLE_NONE |  |

### enum ICalParameterRsvp

#### Members

I_CAL_RSVP_X |  |
I_CAL_RSVP_TRUE |  |
I_CAL_RSVP_FALSE |  |
I_CAL_RSVP_NONE |  |

### enum ICalParameterScheduleagent

#### Members

I_CAL_SCHEDULEAGENT_X |  |
I_CAL_SCHEDULEAGENT_SERVER |  |
I_CAL_SCHEDULEAGENT_CLIENT |  |
I_CAL_SCHEDULEAGENT_NONE |  |

### enum ICalParameterScheduleforcesend

#### Members

I_CAL_SCHEDULEFORCESEND_X |  |
I_CAL_SCHEDULEFORCESEND_REQUEST |  |
I_CAL_SCHEDULEFORCESEND_REPLY |  |
I_CAL_SCHEDULEFORCESEND_NONE |  |

### enum ICalParameterStayinformed

#### Members

I_CAL_STAYINFORMED_X |  |
I_CAL_STAYINFORMED_TRUE |  |
I_CAL_STAYINFORMED_FALSE |  |
I_CAL_STAYINFORMED_NONE |  |

### enum ICalParameterSubstate

#### Members

I_CAL_SUBSTATE_X |  |
I_CAL_SUBSTATE_OK |  |
I_CAL_SUBSTATE_ERROR |  |
I_CAL_SUBSTATE_SUSPENDED |  |
I_CAL_SUBSTATE_NONE |  |

### enum ICalParameterValue

#### Members

I_CAL_VALUE_X |  |
I_CAL_VALUE_BINARY |  |
I_CAL_VALUE_BOOLEAN |  |
I_CAL_VALUE_DATE |  |
I_CAL_VALUE_DURATION |  |
I_CAL_VALUE_FLOAT |  |
I_CAL_VALUE_INTEGER |  |
I_CAL_VALUE_PERIOD |  |
I_CAL_VALUE_RECUR |  |
I_CAL_VALUE_TEXT |  |
I_CAL_VALUE_URI |  |
I_CAL_VALUE_ERROR |  |
I_CAL_VALUE_DATETIME |  |
I_CAL_VALUE_UTCOFFSET |  |
I_CAL_VALUE_CALADDRESS |  |
I_CAL_VALUE_NONE |  |

### enum ICalParameterXliccomparetype

#### Members

I_CAL_XLICCOMPARETYPE_X |  |
I_CAL_XLICCOMPARETYPE_EQUAL |  |
I_CAL_XLICCOMPARETYPE_NOTEQUAL |  |
I_CAL_XLICCOMPARETYPE_LESS |  |
I_CAL_XLICCOMPARETYPE_GREATER |  |
I_CAL_XLICCOMPARETYPE_LESSEQUAL |  |
I_CAL_XLICCOMPARETYPE_GREATEREQUAL |  |
I_CAL_XLICCOMPARETYPE_REGEX |  |
I_CAL_XLICCOMPARETYPE_ISNULL |  |
I_CAL_XLICCOMPARETYPE_ISNOTNULL |  |
I_CAL_XLICCOMPARETYPE_NONE |  |

### enum ICalParameterXlicerrortype

#### Members

I_CAL_XLICERRORTYPE_X |  |
I_CAL_XLICERRORTYPE_COMPONENTPARSEERROR |  |
I_CAL_XLICERRORTYPE_PROPERTYPARSEERROR |  |
I_CAL_XLICERRORTYPE_PARAMETERNAMEPARSEERROR |  |
I_CAL_XLICERRORTYPE_PARAMETERVALUEPARSEERROR |  |
I_CAL_XLICERRORTYPE_VALUEPARSEERROR |  |
I_CAL_XLICERRORTYPE_INVALIDITIP |  |
I_CAL_XLICERRORTYPE_UNKNOWNVCALPROPERROR |  |
I_CAL_XLICERRORTYPE_MIMEPARSEERROR |  |
I_CAL_XLICERRORTYPE_VCALPROPPARSEERROR |  |
I_CAL_XLICERRORTYPE_NONE |  |